[Koha-patches] [PATCH 20/28] Add koha-upgrade-schema, a script to upgrade the database schema.

Lars Wirzenius lars at catalyst.net.nz
Tue May 25 03:44:19 CEST 2010


---
 debian/scripts/koha-create         |    4 ++++
 debian/scripts/koha-upgrade-schema |   31 +++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+), 0 deletions(-)
 create mode 100755 debian/scripts/koha-upgrade-schema

diff --git a/debian/scripts/koha-create b/debian/scripts/koha-create
index 466f055..1db804a 100755
--- a/debian/scripts/koha-create
+++ b/debian/scripts/koha-create
@@ -167,6 +167,10 @@ generate_config_file zebra-authorities-dom-site.cfg.in \
     "/etc/koha/sites/$name/zebra-authorities-dom.cfg"
 
 
+# Upgrade the database schema, just in case the dump was from an old version.
+koha-upgrade-schema "$name"
+
+
 # Reconfigure Apache.
 a2ensite "$name"
 service apache2 restart
diff --git a/debian/scripts/koha-upgrade-schema b/debian/scripts/koha-upgrade-schema
new file mode 100755
index 0000000..e641c57
--- /dev/null
+++ b/debian/scripts/koha-upgrade-schema
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# koha-upgrade-schema -- Upgrade the DB schema for Koha instances.
+# Copyright 2010  Catalyst IT, Ltd
+# 
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e
+
+
+update="/usr/share/koha/intranet/cgi-bin/installer/data/mysql/updatedatabase.pl"
+for name in "$@"
+do
+    echo "Upgrading database schema for $name"
+    KOHA_CONF="/etc/koha/sites/$name/koha-conf.xml" \
+    PERL5LIB="/usr/share/koha/lib" \
+    "$update"
+done
+
-- 
1.7.1




More information about the Koha-patches mailing list